petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPointLocationType

Describes the method to handle point location failure

### Synopsis

    typedef enum {DM_POINTLOCATION_NONE, DM_POINTLOCATION_NEAREST, DM_POINTLOCATION_REMOVE} DMPointLocationType;

If a search using DM_POINTLOCATION_NONE fails, the failure is signaled with a negative cell number. On the other hand, if DM_POINTLOCATION_NEAREST is used, on failure, the (approximate) nearest point in the mesh is used, replacing the given point in the input vector. DM_POINTLOCATION_REMOVE returns values only for points which were located.

### See Also

DMLocatePoints()

### Level

beginner

### Location

src/dm/../../include/petscdmtypes.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages